Validates a payment batch
Validates a payment batch.
GET
/
payment-batches
/
{paymentBatchId}
/
validate
cURL
curl --request GET \
--url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/validate?accountId={{accountId}}' \
--header 'Authorization: <api-key>'import requests
url = "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/validate"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isValid": true,
"paymentBatchStatus": {
"isValid": true,
"issues": [
{
"code": "string",
"message": "string",
"data": {
"status": "draft"
}
}
]
},
"ordersBalances": {
"isValid": true,
"issues": [
{
"code": "string",
"message": "string",
"data": {
"orderId": "string",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"currencyCode": "USD",
"availableBalance": "string"
}
}
]
}
}Authorizations
Path Parameters
The unique ID of the Payment Batch.
Maximum string length:
36Query Parameters
The ID of the account to work with.
Example:
"F50091"
Was this page helpful?
⌘I
cURL
